#
# spec file for package rubygem-rails-5.2
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-rails-5.2
Version:        5.2.3
Release:        bp154.1.20
%define mod_name rails
%define mod_full_name %{mod_name}-%{version}
%define mod_version_suffix -5.2
# MANUAL
%if 0%{?suse_version} && 0%{?suse_version} < 1330
%define rb_build_versions ruby25 ruby26
%define rb_build_ruby_abis ruby:2.5.0 ruby:2.6.0
%endif
# /MANUAL
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{ruby >= 2.2.2}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  ruby-macros >= 5
Url:            http://rubyonrails.org
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        Full-stack web application framework
License:        MIT
Group:          Development/Languages/Ruby

%description
Ruby on Rails is a full-stack web framework optimized for programmer happiness
and sustainable productivity. It encourages beautiful code by favoring
convention over configuration.

%prep

%build

%install
%gem_install \
  --doc-files="README.md" \
  -f

%gem_packages

%changelog
* Fri Mar 29 2019 Stephan Kulow <coolo@suse.com>
- updated to version 5.2.3
  no changelog found
* Thu Mar 14 2019 Marcus Rueckert <mrueckert@suse.de>
- update to version 5.2.2.1:
  https://weblog.rubyonrails.org/2019/3/13/Rails-4-2-5-1-5-1-6-2-have-been-released/
  CVE-2019-5418 CVE-2019-5419 CVE-2019-5420
* Wed Feb  6 2019 Stephan Kulow <coolo@suse.com>
- Move the recommends to the proper (generated) package (facepalm)
* Sun Feb  3 2019 Stephan Kulow <coolo@suse.com>
- Fix bsc#1102075 by readding recommends
* Sat Jan 19 2019 Marcus Rueckert <mrueckert@suse.de>
- rb_build_ruby_abi needs to be rb_build_ruby_abis
* Fri Jan 18 2019 Marcus Rueckert <mrueckert@suse.de>
- limit to ruby 2.5 and above for 42.3/sle12
* Sat Dec  8 2018 Stephan Kulow <coolo@suse.com>
- updated to version 5.2.2
  no changelog found
* Mon Dec  3 2018 mschnitzer@suse.com
- updated to version 5.2.1.1 (boo#1118076)
  * No changelog in Rails itself. The actual changes can be found
    in Rails submodules:
    rubygem-activejob-5.2: Fixes CVE-2018-16476
    rubygem-activestorage-5.2: Fixes CVE-2018-16477
  It is advised to update to fix the security vulnerabilities.
* Wed Aug  8 2018 mschnitzer@suse.com
- updated to version 5.2.1 (boo#1104209)
  This base gem doesn't have any changelog. Please have
  a look at the modules of Rails to get a list of all changes.
* Fri Apr 13 2018 mschnitzer@suse.com
- initial package
  see changelog: http://guides.rubyonrails.org/5_2_release_notes.html
